Name: libggi
Version: 2.0.4
Release: alt3

%define gii_ver 0.8.3

BuildPreReq: libgii >= %gii_ver

Serial: 1

Summary: LibGGI, the dynamic GGI (General Graphics Interface) library

Copyright: Public Domain
Group: System/Libraries
URL: http://www.ggi-project.org/

Source: ftp://ftp.ggi-project.org:/pub/ggi/ggi/2_0_beta_3/%name-%version.src.tar.bz2
Patch: %name-2.0b3-clk_tck-hack.patch
Patch1: %name-2.0.3-alt-build-hack.patch

# Automatically added by buildreq on Tue Sep 16 2003
BuildRequires: XFree86-devel-static XFree86-libs aalib-devel directfb-devel glibc-devel-static libgii-devel libncurses-devel libslang libtinfo-devel

%description
LibGGI, the dynamic GGI (General Graphics Interface) library is a flexible      
drawing library.                                                                
                                                                                
It provides an opaque interface to the display's acceleration functions. It     
was originally intended to allow user programs to interface with KGI, the       
GGI Kernel Graphics Interface, but other display types can be easily used by    
loading the appropriate "display target" (e.g. X, memory).                      
                                                                                
LibGGI consists of a main library (libggi.so) and a multitude of                
dynamic drivers. The library then loads the necessary "drivers" for the         
requested mode, taking hints from the graphics device if necessary. LibGGI      
can also load extension libraries, e.g. to provide enhanced 2D and 3D           
functions.

%package devel
Summary: development part of %name
Group: Development/C
Requires: %name = %version-%release
Requires: libgii-devel >= %gii_ver

%description devel
development files for %name

%package -n ggi-utils
Group: Graphics
Summary: some usefull utils from %name
Provides: %name-utils = %version
Obsoletes: %name-utils

%description -n ggi-utils
some usefull utils from %name

%prep
%setup -q
%add_optflags -I/usr/include/directfb-internal

%patch -p1
%patch1 -p1

%build
#./autogen.sh
%undefine __libtoolize
%configure
#NO SMP
%make

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig


%files
%doc README NEWS ChangeLog INSTALL FAQ
%config(noreplace) %_sysconfdir/ggi/*
%_libdir/*.so.*
%_libdir/ggi/default/*.so
%_libdir/ggi/display/*.so
%_libdir/ggi/helper/*.so
%_libdir/ggi/default/fbdev/*/*.so
%_mandir/man?/*

%files devel
%_includedir/*
%_libdir/*.so

%files -n ggi-utils
%_bindir/*

%changelog
* Thu Jun 24 2004 Stanislav Ievlev <inger@altlinux.org> 1:2.0.4-alt3
- fixed #3864 (added missed helper subdirectory)

* Tue Mar 23 2004 Stanislav Ievlev <inger@altlinux.org> 1:2.0.4-alt2
- rename libgii-utils to gii-utils (#3734)
- added requires on libgii-devel to libggi-devel package (#3658)

* Tue Jan 13 2004 Stanislav Ievlev <inger@altlinux.org> 1:2.0.4-alt1
- 2.0.4

* Wed Dec 17 2003 Stanislav Ievlev <inger@altlinux.org> 1:2.0.3-alt3
- rebuild without .la files

* Tue Sep 16 2003 Stanislav Ievlev <inger@altlinux.ru> 1:2.0.3-alt2
- fix build in hasher

* Wed Apr 23 2003 Stanislav Ievlev <inger@altlinux.ru> 1:2.0.3-alt1
- 2.0.3

* Fri Feb 28 2003 Stanislav Ievlev <inger@altlinux.ru> 1:2.0.2-alt4
- fixed ldconfig usage according packaging policy

* Tue Feb 25 2003 Stanislav Ievlev <inger@altlinux.ru> 1:2.0.2-alt3
- 2.0.2
- added hack for broken directfb-headers

* Wed Oct 16 2002 Stanislav Ievlev <inger@altlinux.ru> 1:2.0.1-alt3
- rebuild without svgalib

* Thu Sep 26 2002 Stanislav Ievlev <inger@altlinux.ru> 1:2.0.1-alt2
- rebuild with gcc3

* Mon Sep 17 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0-alt1
- 2.0 final
- Added Serial. Wrong numbers was before.

* Thu Aug 09 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0b4-alt2
- Added buildreqs

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0b4-alt1
- beta4

* Wed Jul 04 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0b3-alt1
- Inital release for ALT Linux
